// eclipse外部ツール用  ファイル名をクリップボードにコピーする。
// Arguments(0) クリップボードにコピーしたい文字列
// Arguments(1) ディレクトリの区切り文字 \ を置換

if (WScript.Arguments.length < 1) exit(1);

arg = WScript.Arguments(0);
if (WScript.Arguments.length >= 2)
	arg = arg.replace(/\\/g, WScript.Arguments(1));

var IE = new ActiveXObject("InternetExplorer.Application");
IE.Navigate("about:blank");

while (IE.Busy) WScript.Sleep(100);

IE.Document.parentWindow.clipboardData.setData("text", unescape(arg));
IE.Quit();
